package net.sf.itcb.module.blank.business.dao;

import java.util.List;

import net.sf.itcb.module.blank.schemas.types.BlankBean;

/**
 * A DAO interface example.
 * 
 * @author Pierre Le Roux
 */
public interface BlankDao {
	
	/**
     * We get a blankbean by his id
     * @param id
     *                It is about the identifier of the bean to be searched
     * @return the BlankBean or null if it doesn't exist
     * @throws Exception exception.
     */
	public BlankBean getBlankById(Long id) throws Exception;
	
	/**
     * We create a blankbean with the name
     * @param name the name field value to set for the new blankbean
     * @return the BlankBean with the id set 
     * @throws Exception exception.
     */
	public BlankBean createBlank(String name) throws Exception;

	/**
     * We update a blankbean
     * @param blankBean the blankBean to update
     * @throws Exception exception.
     */
	public void updateBlank(BlankBean blankBean) throws Exception;
	
	/** We retrieved all the blank beans
	 * @return a list of BlankBean
	 */
	public List<BlankBean> getAllBlankBean() throws Exception;
	
	
 
}
